<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;


use App\Models\Company;

class ModuleObject
{

    /** @var Company */
    private $company;

    /** @var int */
    private $type;

    /**
     * ModuleObject constructor.
     * @param Company $company
     * @param int $type
     */
    public function __construct(Company $company, int $type)
    {
        $this->company = $company;
        $this->type = $type;
    }

    /**
     * @return Company
     */
    public function getCompany(): Company
    {
        return $this->company;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

}